# /usr/lib/rpm/debugedit: canonicalization unexpectedly shrank by one character
%global debug_package %{nil}

%global  buildid    156

%global with_python2 1
%global with_python3 1

%ifarch s390 s390x %{arm} aarch64 %{power64}
%global with_java    0
%else
%global with_java    1
%endif

%ifarch s390 s390x
%global with_octave  0
%else
%global with_octave  1
%endif

%global with_perl    1
%global with_r       1

%ifarch %{mono_arches}
%global with_mono    1
%else
%global with_mono    0
%endif

##Use QWT6? (Experimental)
%global with_qwt6    1

%global octpkg COPASI
%if 0%{?with_octave}
# Exclude .oct files from provides
%global __provides_exclude_from ^%{octpkglibdir}/.*\\.oct$
%global octave_ver %(octave-config -p VERSION || echo 0)
%endif

%global _docdir_fmt %{name}

Name:  COPASI
Summary: Biochemical network simulator
Version: 4.19.%{buildid}
Release: 1%{?dist}

##Artistic 2.0 is main license
##GPLv2+ is related to a Mixed Source Licensing Scenario
##with 'copasi/randomGenerator/Cmt19937.cpp' file
##GPLv3+ is related to a Mixed Source Licensing Scenario
##with 'copasi/function/CEvaluationParser_yacc.cpp' file
##BSD is related to a Mixed Source Licensing Scenario
##with 'copasi/randomGenerator/Cmt19937.cpp' file
##Any files with different licenses are not involved
License: Artistic 2.0 and GPLv3+ and BSD
URL:   http://copasi.org/
Source0: https://github.com/copasi/COPASI/archive/Build-%{buildid}.tar.gz#/%{name}-Build-%{buildid}.tar.gz
Source1: %{name}.appdata.xml

%if 0%{?with_qwt6}
BuildRequires:  qwt-devel
%else
BuildRequires:  qwt5-qt4-devel
%endif
BuildRequires: freeglut-devel
BuildRequires: qwtplot3d-qt4-devel
BuildRequires: qt-devel
BuildRequires: qt-webkit-devel
BuildRequires: libkdeedu-static
BuildRequires: libsbml-devel
BuildRequires: libsedml-devel
BuildRequires: libsbw-devel
BuildRequires: raptor-devel
BuildRequires: mesa-libGL-devel
BuildRequires: mesa-libGLU-devel
BuildRequires: cppunit-devel
BuildRequires: libcurl-devel
BuildRequires: libxslt-devel
BuildRequires: lapack-devel
BuildRequires: blas-devel
BuildRequires: desktop-file-utils
BuildRequires: swig
BuildRequires: expat-devel
BuildRequires: f2c
BuildRequires: flex
BuildRequires: cmake
BuildRequires: bison
BuildRequires: ImageMagick
BuildRequires: libappstream-glib

Requires: %{name}-data = %{version}-%{release}

##This patch sets libraries' installation paths
Patch0: %{name}-fix_install_libpaths.patch

##This patch sets paths to find QWT5, QTMML, SBW files on Fedora
Patch1: %{name}-find_QWT5-QTMML-SBW.patch

##This patch sets paths to find QWT6, QTMML, SBW files on Fedora
Patch3: %{name}-find_QWT6-QTMML-SBW.patch

##This patch sets paths to find QTPLOT3D-QT4 files on Fedora
Patch2: %{name}-set_QWTPLOT3D_QT4.patch

##This patch fixes executable permissions of CopasiSE and CopasiUI
Patch4: %{name}-fix_exe_permissions.patch

%if 0%{?fedora} >= 26
Obsoletes: octave-%{octpkg} =< 0:%{version}-3
%endif

%description
COPASI is a software application for simulation and analysis of biochemical
networks and their dynamics.
COPASI is a stand-alone program that supports models in the SBML standard
and can simulate their behavior using ODEs or Gillespie's stochastic
simulation algorithm; arbitrary discrete events can be included in such
simulations.

COPASI carries out several analyses of the network and its dynamics and 
has extensive support for parameter estimation and optimization. 
COPASI provides means to visualize data in customizable plots, histograms and 
animations of network diagrams.

%package gui
Summary: The COPASI graphical user interface
Requires: %{name}-data = %{version}-%{release}
Requires: %{name}-doc = %{version}-%{release}

%description gui
COPASI is a software application for simulation and analysis of biochemical
networks and their dynamics.
COPASI is a stand-alone program that supports models in the SBML standard
and can simulate their behavior using ODEs or Gillespie's stochastic
simulation algorithm; arbitrary discrete events can be included in such
simulations.

COPASI carries out several analyses of the network and its dynamics and 
has extensive support for parameter estimation and optimization. 
COPASI provides means to visualize data in customizable plots, histograms and 
animations of network diagrams.

This package provides the COPASI graphical user interface.

%package data
Summary: COPASI data files 
BuildArch: noarch
%description data
This package provides the COPASI data, example and license files.

%if 0%{?with_python2}
%package -n python2-%{name}
Summary: %{name} Python2 Bindings
BuildRequires: python2-devel
%{?python_provide:%python_provide python2-%{name}}
%description -n python2-%{octpkg}
This package provides the libraries to 
develop applications with COPASI Python2 bindings.
%endif

%if 0%{?with_python3}
%package -n python3-%{name}
Summary: %{name} Python3 Bindings
BuildRequires: python3-devel
%{?python_provide:%python_provide python3-%{name}}
%description -n python3-%{octpkg}
This package provides the libraries to 
develop applications with COPASI Python3 bindings.
%endif

%if 0%{?with_java}
%package -n java-%{octpkg}
Summary: %{name} Java Bindings
BuildRequires:  java-1.8.0-openjdk-devel
Requires: java-headless >= 1:minimal_required_version
Requires: javapackages-tools 
%description -n java-%{octpkg}
This package provides the libraries to 
develop applications with COPASI Java bindings.
%endif

%if 0%{?with_octave}
%package -n octave-%{octpkg}
Summary: %{name} Octave Bindings
BuildRequires:  octave-devel
Requires:       octave(api) = %{octave_api}
Requires(post): octave
Requires(postun): octave
%description -n octave-%{octpkg}
This package provides the libraries to 
develop applications with COPASI Octave bindings.
%endif

%if 0%{?with_perl}
%package -n perl-%{octpkg}
Summary: %{name} Perl Bindings
BuildRequires: perl
BuildRequires: perl-devel
BuildRequires: perl-generators
BuildRequires: perl(ExtUtils::MakeMaker)
Requires:      perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version))
%description -n perl-%{octpkg}
This package provides the libraries to 
develop applications with COPASI Perl bindings.
%endif

%if 0%{?with_r}
%package -n R-%{octpkg}
Summary: %{name} R Bindings
BuildRequires: R-devel, R-core-devel, tex(latex)
Requires:      R-core
%description -n R-%{octpkg}
This package provides the libraries to 
develop applications with COPASI R bindings.
%endif

%if 0%{?with_mono}
%package sharp
Summary: %{name} Mono Bindings
BuildRequires: xerces-c-devel, libxml2-devel, expat-devel
BuildRequires: mono-core

%description sharp
This package provides the libraries to 
develop applications with COPASI C# bindings.
%endif

%package doc
Summary: COPASI HTML documentation and examples
BuildArch: noarch
%description doc
COPASI HTML documentation and examples.

%prep
%setup -q -n %{name}-Build-%{buildid}

##This an old and obsolete license file
rm -f license.txt

# Convert to utf-8
for file in `find copasi -type f \( -name "*.cpp" \)`; do
    iconv -f ISO-8859-1 -t UTF-8 -o $file.new $file && \
    touch -r $file $file.new && \
    mv $file.new $file
done

## Strip all .png files 
## 'iCCP: known incorrect sRGB profile' warnings
find . -type f -name "*.png" -exec convert {} -strip {} \;

%patch0 -p0

%if 0%{?with_qwt6}
%patch3 -p0
%else
%patch1 -p0
%endif

##Set Qwt5 libdir
sed -e 's|@@libdir@@|%{_libdir}|g' -i CMakeModules/FindQwtQt4.cmake

##Set QtMmlQt4 paths
sed -e 's|@@_kde4_includedir@@|%{_kde4_includedir}/libkdeedu/qtmml|g' -i CMakeModules/FindQtMmlQt4.cmake
sed -e 's|@@_kde4_libdir@@|%{_kde4_libdir}|g' -i CMakeModules/FindQtMmlQt4.cmake

####Set QTPLOT3D-QT4 paths
%if 0%{?with_qwt6}
%patch2 -p0
sed -e 's|@@qtplot3d_includedir@@|%{_includedir}|g' -i CMakeModules/FindQwtplot3dQt4.cmake
sed -e 's|@@qtplot3d_libdir@@|%{_libdir}|g' -i CMakeModules/FindQwtplot3dQt4.cmake
%endif

%patch4 -p0

%build
mkdir -p build && pushd build
export CXXFLAGS="-DF2C_INTEGER=int -DF2C_LOGICAL=long %{optflags} -Wl,-z,relro -fPIC -pie -Wl,-z,now -DCOPASI_OVERWRITE_USE_LAPACK -DNO_BLAS_WRAP"
%cmake -Wno-dev \
 -DCOPASI_OVERRIDE_VERSION:STRING=%{version} \
%if 0%{?with_python2}
 -DENABLE_PYTHON:BOOL=ON \
 -DPYTHON_EXECUTABLE:FILEPATH=%{__python2} \
 -DPYTHON_INCLUDE_DIR:PATH=%{_includedir}/python%{python2_version} \
 -DPYTHON_LIBRARY:FILEPATH=%{_libdir}/libpython%{python2_version}.so \
%endif
%if 0%{?with_java}
 -DENABLE_JAVA:BOOL=ON \
 -DBUILD_JAVA_EXAMPLES:BOOL=OFF \
%endif
%if 0%{?with_octave}
 -DENABLE_OCTAVE:BOOL=ON \
 -DCOPASI_version:STRING=%{version} \
 -DOCTAVE_INCLUDE_DIR:PATH=%{_includedir}/octave-%{octave_ver} \
 -DOCTAVE_OCTINTERP_LIBRARY:FILEPATH=%{_libdir}/octave/%{octave_ver}/liboctinterp.so \
 -DOCTAVE_OCTAVE_LIBRARY:FILEPATH=%{_libdir}/octave/%{octave_ver}/liboctave.so \
%endif
%if 0%{?with_perl}
 -DENABLE_PERL:BOOL=ON \
%endif
%if 0%{?with_r}
 -DENABLE_R:BOOL=ON \
 -DR_INCLUDE_DIRS:PATH=%{_includedir}/R \
%endif
%if 0%{?with_mono}
 -DENABLE_CSHARP:BOOL=ON \
 -DBUILD_CS_EXAMPLES:BOOL=OFF \
%endif
 -DCSHARP_COMPILER:FILEPATH=%{_bindir}/mcs \
%if 0%{?with_qwt6}
 -DEXTRA_MOC_OPTIONS="-DQWT_VERSION=0x60102" \
%endif
 -DBUILD_GUI:BOOL=ON -DBUILD_COPASISBW:BOOL=ON --DENABLE_MML:BOOL=ON -DENABLE_USE_SBMLUNIT=ON \
 -DCMAKE_SHARED_LINKER_FLAGS_RELEASE:STRING="%{__global_ldflags} -Wl,-z,relro -fPIC -pie -Wl,-z,now -pthread" \
 -DCMAKE_EXE_LINKER_FLAGS:STRING="%{__global_ldflags} -Wl,-z,relro -fPIC -pie -Wl,-z,now" \
 -DMML_INCLUDE_DIR:PATH=%{_kde4_includedir}/libkdeedu/qtmml -DMML_LIBRARY:FILEPATH=%{_kde4_libdir}/libqtmmlwidget.a \
 -DENABLE_SBW_INTEGRATION=ON -DBUILD_CXX_EXAMPLES=ON \
 -DENABLE_COPASI_BANDED_GRAPH:BOOL=ON -DENABLE_COPASI_SEDML:BOOL=ON \
 -DENABLE_COPASI_NONLIN_DYN_OSCILLATION:BOOL=ON -DENABLE_COPASI_EXTUNIT:BOOL=ON \
 -DBLAS_blas_LIBRARY:FILEPATH=%{_libdir}/libblas.so \
 -DENABLE_FLEX_BISON:BOOL=ON -DENABLE_COPASI_PARAMETERFITTING_RESIDUAL_SCALING:BOOL=ON \
 -DENABLE_WITH_MERGEMODEL:BOOL=ON -DENABLE_USE_MATH_CONTAINER:BOOL=ON \
 -DLIBSBML_INCLUDE_DIR:PATH=%{_includedir}/sbml -DF2C_INCLUDE_DIR:PATH=%{_includedir} \
 -DCMAKE_BUILD_TYPE:STRING=Release -DCMAKE_INSTALL_LIBDIR:PATH=%{_libdir} \
 -DCMAKE_INSTALL_PREFIX:PATH=%{_prefix} -DENABLE_GPROF:BOOL=OFF \
 -DCMAKE_VERBOSE_MAKEFILE:BOOL=TRUE -DCMAKE_COLOR_MAKEFILE:BOOL=ON \
 -DENABLE_FLEX_BISON:BOOL=ON -DBISON_EXECUTABLE:FILEPATH=%{_bindir}/bison \
 -DPREFER_STATIC:BOOL=OFF -DCMAKE_SKIP_RPATH:BOOL=YES ..

##'Parallel make' breaks builds
%ifarch s390x
make -j1
%else
make -j4
%endif
popd

## ----> Move to build2 directory ##
%if 0%{?with_python3}
mkdir -p build2 && pushd build2
export CXXFLAGS="-DF2C_INTEGER=int -DF2C_LOGICAL=long %{optflags} -Wl,-z,relro -fPIC -pie -Wl,-z,now -DCOPASI_OVERWRITE_USE_LAPACK -DNO_BLAS_WRAP"
%cmake -Wno-dev \
 -DCOPASI_OVERRIDE_VERSION:STRING=%{version} \
 -DENABLE_PYTHON:BOOL=ON \
 -DPYTHON_EXECUTABLE:FILEPATH=%{__python3} \
 -DPYTHON_INCLUDE_DIR:PATH=%{_includedir}/python%{python3_version}m \
 -DPYTHON_LIBRARY:FILEPATH=%{_libdir}/libpython%{python3_version}m.so \
%if 0%{?with_java}
 -DENABLE_JAVA:BOOL=OFF \
 -DBUILD_JAVA_EXAMPLES:BOOL=OFF \
%endif
%if 0%{?with_octave}
 -DENABLE_OCTAVE:BOOL=OFF \
 -DCOPASI_version:STRING=%{version} \
 -DOCTAVE_INCLUDE_DIR:PATH=%{_includedir}/octave-%{octave_ver} \
 -DOCTAVE_OCTINTERP_LIBRARY:FILEPATH=%{_libdir}/octave/%{octave_ver}/liboctinterp.so \
 -DOCTAVE_OCTAVE_LIBRARY:FILEPATH=%{_libdir}/octave/%{octave_ver}/liboctave.so \
%endif
%if 0%{?with_perl}
 -DENABLE_PERL:BOOL=OFF \
%endif
%if 0%{?with_r}
 -DENABLE_R:BOOL=OFF \
 -DR_INCLUDE_DIRS:PATH=%{_includedir}/R \
%endif
%if 0%{?with_mono}
 -DENABLE_CSHARP:BOOL=OFF \
 -DBUILD_CS_EXAMPLES:BOOL=OFF \
 -DCSHARP_COMPILER:FILEPATH=%{_bindir}/mcs \
%endif
 -DBUILD_GUI:BOOL=OFF -DENABLE_MML:BOOL=OFF -DENABLE_USE_SBMLUNIT=ON \
 -DCMAKE_SHARED_LINKER_FLAGS_RELEASE:STRING="%{__global_ldflags} -Wl,-z,relro -fPIC -pie -Wl,-z,now -pthread" \
 -DCMAKE_EXE_LINKER_FLAGS:STRING="%{__global_ldflags} -Wl,-z,relro -fPIC -pie -Wl,-z,now" \
 -DENABLE_SBW_INTEGRATION=ON -DBUILD_CXX_EXAMPLES=ON \
 -DENABLE_COPASI_BANDED_GRAPH:BOOL=ON -DENABLE_COPASI_SEDML:BOOL=ON \
 -DENABLE_COPASI_NONLIN_DYN_OSCILLATION:BOOL=ON -DENABLE_COPASI_EXTUNIT:BOOL=ON \
 -DBLAS_blas_LIBRARY:FILEPATH=%{_libdir}/libblas.so \
 -DENABLE_FLEX_BISON:BOOL=ON -DENABLE_COPASI_PARAMETERFITTING_RESIDUAL_SCALING:BOOL=ON \
 -DENABLE_WITH_MERGEMODEL:BOOL=ON -DENABLE_USE_MATH_CONTAINER:BOOL=ON \
 -DLIBSBML_INCLUDE_DIR:PATH=%{_includedir}/sbml -DF2C_INCLUDE_DIR:PATH=%{_includedir} \
 -DCMAKE_BUILD_TYPE:STRING=Release -DCMAKE_INSTALL_LIBDIR:PATH=%{_libdir} \
 -DCMAKE_INSTALL_PREFIX:PATH=%{_prefix} -DENABLE_GPROF:BOOL=OFF \
 -DCMAKE_VERBOSE_MAKEFILE:BOOL=TRUE -DCMAKE_COLOR_MAKEFILE:BOOL=ON \
 -DENABLE_FLEX_BISON:BOOL=ON -DBISON_EXECUTABLE:FILEPATH=%{_bindir}/bison \
 -DPREFER_STATIC:BOOL=OFF -DCMAKE_SKIP_RPATH:BOOL=YES ..

%make_build
popd
%endif

%install
%make_install -C build

%if 0%{?with_python3}
%make_install -C build2
%endif

##Just for R library
%if 0%{?with_r}
mkdir -p $RPM_BUILD_ROOT%{_libdir}/R/library
%{_bindir}/R CMD INSTALL -l $RPM_BUILD_ROOT%{_libdir}/R/library build/copasi/bindings/R/%{name}_*.tar.gz
test -d %{octpkg}/src && (cd %{octpkg}/src; rm -f *.o *.so)
rm -rf $RPM_BUILD_ROOT%{_libdir}/R/library/%{octpkg}/R.css
chmod a+x $RPM_BUILD_ROOT%{_libdir}/R/library/%{octpkg}/libs/COPASI.so

## Stripping from debugging symbols
%{_bindir}/strip -s $RPM_BUILD_ROOT%{_libdir}/R/library/%{octpkg}/libs/COPASI.so
%endif
##

## Stripping from debugging symbols
%{_bindir}/strip -s $RPM_BUILD_ROOT%{_bindir}/*
%if 0%{?with_mono}
%{_bindir}/strip -s $RPM_BUILD_ROOT%{_prefix}/lib/mono/copasicsP/*.so
%endif
%if 0%{?with_python2}
%{_bindir}/strip -s $RPM_BUILD_ROOT%{python2_sitearch}/copasi/*.so
%endif
%if 0%{?with_python3}
%{_bindir}/strip -s $RPM_BUILD_ROOT%{python3_sitearch}/copasi/*.so
%endif
%if 0%{?with_perl}
%{_bindir}/strip -s $RPM_BUILD_ROOT%{perl_vendorarch}/auto/COPASI/*.so
%endif
%if 0%{?with_java}
%{_bindir}/strip -s $RPM_BUILD_ROOT%{_libdir}/copasi/*.so
%endif

%if 0%{?with_octave}
mkdir -p $RPM_BUILD_ROOT%{octpkgdir}/packinfo
install -pm 644 copasi/ArtisticLicense.txt $RPM_BUILD_ROOT%{octpkgdir}/packinfo
%endif

##Install .xpm icon files
install -pm 644 copasi/UI/icons/Copasi48-Alpha.xpm $RPM_BUILD_ROOT%{_datadir}/icons/copasi/icons

##Make a .desktop file
mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
cat > $RPM_BUILD_ROOT%{_datadir}/applications/%{name}.desktop <<EOF
[Desktop Entry]
Version=1.0
Name=CopasiUI
Comment=Use COPASI by a Graphical User Interface
Exec=CopasiUI --copasidir %{_prefix}
Icon=%{_datadir}/icons/copasi/icons/Copasi48-Alpha.xpm
Terminal=false
Type=Application
Categories=Science;
EOF

## Install appdata file
mkdir -p $RPM_BUILD_ROOT%{_datadir}/appdata
install -pm 644 %{SOURCE1} $RPM_BUILD_ROOT%{_datadir}/appdata/

%post -n %{name}-gui
/bin/touch --no-create %{_datadir}/icons/copasi &>/dev/null || :

%postun -n %{name}-gui
if [ $1 -eq 0 ] ; then
    /bin/touch --no-create %{_datadir}/icons/copasi &>/dev/null
    /usr/bin/gtk-update-icon-cache %{_datadir}/icons/copasi &>/dev/null || :
fi

%posttrans -n %{name}-gui
/usr/bin/gtk-update-icon-cache %{_datadir}/icons/copasi &>/dev/null || :

%check
desktop-file-validate $RPM_BUILD_ROOT%{_datadir}/applications/%{name}.desktop
appstream-util validate-relax --nonet $RPM_BUILD_ROOT%{_datadir}/appdata/*.appdata.xml

%files
%{_bindir}/CopasiSE

%files gui
%{_bindir}/CopasiUI
%{_bindir}/CopasiSBW
%{_datadir}/icons/copasi/
%{_datadir}/applications/%{name}.desktop
%{_datadir}/appdata/*.appdata.xml

%files data
%license copasi/ArtisticLicense.txt
%{_datadir}/copasi/
%exclude %{_datadir}/copasi/doc/

%if 0%{?with_python2}
%files -n python2-%{octpkg}
%license copasi/ArtisticLicense.txt
%{python2_sitearch}/copasi/
%{python2_sitearch}/*.pth
%endif

%if 0%{?with_python3}
%files -n python3-%{octpkg}
%license copasi/ArtisticLicense.txt
%{python3_sitearch}/copasi/
%{python3_sitearch}/*.pth
%endif

%if 0%{?with_java}
%files -n java-%{octpkg}
%license copasi/ArtisticLicense.txt
%{_javadir}/*.jar
%{_javadir}/copasi/
%{_libdir}/copasi/
%endif

%if 0%{?with_octave}
%files -n octave-%{octpkg}
%dir %{octpkgdir}
%{octpkgdir}/packinfo/ArtisticLicense.txt
%{octpkglibdir}/
%endif

%if 0%{?with_perl}
%files -n perl-%{octpkg}
%license copasi/ArtisticLicense.txt
%{perl_vendorarch}/auto/COPASI/
%endif

%if 0%{?with_r}
%files -n R-%{octpkg}
%license copasi/ArtisticLicense.txt
%{_libdir}/R/library/%{octpkg}/
%endif

%if 0%{?with_mono}
%files sharp
%license copasi/ArtisticLicense.txt
%{_prefix}/lib/mono/copasicsP/
%endif

%files doc
%license copasi/ArtisticLicense.txt
%{_datadir}/copasi/doc/

%changelog
* Tue Jul 11 2017 Antonio Trande <sagitterATfedoraproject.org> - 4.19.156-1
- Update to version 4.19 -build 156

* Sun Jul 02 2017 Antonio Trande <sagitterATfedoraproject.org> - 4.19.155-1
- Update to version 4.19 -build 155 (fix upstream bug #2428)

* Sun Jun 04 2017 Jitka Plesnikova <jplesnik@redhat.com> - 4.19.150-2
- Perl 5.26 rebuild

* Fri Jun 02 2017 Antonio Trande <sagitterATfedoraproject.org> - 4.19.150-1
- Update to version 4.19 -build 150 (fix upstream bug #2415)

* Sat Apr 15 2017 Antonio Trande <sagitterATfedoraproject.org> - 4.19.148-1
- Update to version 4.19 -build 148 (fix upstream bug #2403)

* Fri Apr 14 2017 Antonio Trande <sagitterATfedoraproject.org> - 4.19.147-3
- Rebuild for libsbml-5.15.0

* Thu Apr 06 2017 Antonio Trande <sagitterATfedoraproject.org> - 4.19.147-2
- Override version from headers
- Fix installation of examples and docs
- Fix copasidir option
- Strip executable binary/library files

* Sun Mar 26 2017 Antonio Trande <sagitterATfedoraproject.org> - 4.19.147-1
- Update to version 4.19 -build 147
- Fix Octave binding (upstream bug #2342)

* Sat Mar 04 2017 Antonio Trande <sagitterATfedoraproject.org> - 4.19.146-1
- Update to version 4.19 -build 146

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 4.19.143-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Sat Feb 04 2017 Antonio Trande <sagitterATfedoraproject.org> - 4.19.143-1
- Update to version 4.19 -build 143

* Wed Jan 18 2017 Antonio Trande <sagitterATfedoraproject.org> - 4.19.141-1
- Update to version 4.19 -build 141

* Thu Dec 22 2016 Antonio Trande <sagitterATfedoraproject.org> - 4.18.138-1
- Update to build 138 (bug fixes from upstream)

* Mon Dec 19 2016 Miro Hrončok <mhroncok@redhat.com> - 4.18.136-4
- Rebuild for Python 3.6

* Tue Dec 13 2016 Antonio Trande <sagitterATfedoraproject.org> - 4.18.136-3
- Exclude Octave-4.2 binding (upstream bug #2342)

* Wed Dec 07 2016 Orion Poplawski <orion@cora.nwra.com> - 4.18.136-2
- Rebuild for octave 4.2

* Tue Nov 29 2016 Antonio Trande <sagitterATfedoraproject.org> - 4.18.136-1
- Update to build-136 (stable release)

* Tue Nov 22 2016 Antonio Trande <sagitterATfedoraproject.org> - 4.17-0.15.20161122gita15717
- Update to build-135 (stable release)

* Thu Nov 17 2016 Antonio Trande <sagitterATfedoraproject.org> - 4.17-0.14.20161115git6c93c0
- Update to build-134 (fix bugs 2324 2327)

* Sun Nov 06 2016 Antonio Trande <sagitterATfedoraproject.org> - 4.17-0.13.20161102gitbdf5cd
- Fix memory issue on s390

* Fri Nov 04 2016 Antonio Trande <sagitterATfedoraproject.org> - 4.17-0.12.20161102gitbdf5cd
- Disable generation of debuginfo package on s390

* Wed Nov 02 2016 Antonio Trande <sagitterATfedoraproject.org> - 4.17-0.11.20161102gitbdf5cd
- Update to build-131
- Drop old patch

* Mon Oct 17 2016 Antonio Trande <sagitterATfedoraproject.org> - 4.17-0.10.20161013gitde9275
- Update to build-128

* Thu Oct 13 2016 Antonio Trande <sagitterATfedoraproject.org> - 4.17-0.9.20161011git00c753
- Update to build-127 (bz#1384081)

* Sun Sep 11 2016 Antonio Trande <sagitterATfedoraproject.org> - 4.17-0.8.20160909git7c2623
- Update to build-123

* Wed Aug 17 2016 Antonio Trande <sagitterATfedoraproject.org> - 4.17-0.7.20160720git31a978
- Rebuild for Python 3.5.2

* Wed Jul 27 2016 Antonio Trande <sagitterATfedoraproject.org> - 4.17-0.6.20160720git31a978
- Update to build-119

* Tue Jul 19 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 4.17-0.5.20160203git7b0f05
- https://fedoraproject.org/wiki/Changes/Automatic_Provides_for_Python_RPM_Packages

* Tue May 17 2016 Jitka Plesnikova <jplesnik@redhat.com> - 4.17-0.4.20160203git7b0f05
- Perl 5.24 rebuild

* Tue Apr 19 2016 Antonio Trande <sagitterATfedoraproject.org> - 4.17-0.3.20160203git7b0f05
- Rebuild for libSBML 5.13.0

* Sun Feb 07 2016 Antonio Trande <sagitterATfedoraproject.org> - 4.17-0.2.20160203git7b0f05
- Exclude Octave binding on s390

* Wed Feb 03 2016 Antonio Trande <sagitterATfedoraproject.org> - 4.17-0.1.20160203git7b0f05
- Rebuild with GCC-6.0
- Update to commit #7b0f05
- License for octave sub-package relocated
- Debugging re-enabled

* Wed Feb 03 2016 Fedora Release Engineering <releng@fedoraproject.org> - 4.16-0.22.20150817git3bc4e9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Fri Jan 29 2016 Antonio Trande <sagitterATfedoraproject.org> - 4.16-0.21.20150817git3bc4e9
- Renamed Python2 package

* Sun Dec 13 2015 Antonio Trande <sagitterATfedoraproject.org> - 4.16-0.20.20150817git3bc4e9
- Rebuild with GCC-5.3

* Sat Nov 14 2015 Antonio Trande <sagitterATfedoraproject.org> - 4.16-0.19.20150817git3bc4e9
- Rebuilt for libsbml-5.12.0 and Python3.5

* Tue Nov 10 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 4.16-0.18.20150817git3bc4e9
- Rebuilt for https://fedoraproject.org/wiki/Changes/python3.5

* Fri Nov 06 2015 Antonio Trande <sagitterATfedoraproject.org> - 4.16-0.17.20150817git3bc4e9
- Hardened rebuild on Fedora <23

* Fri Nov 06 2015 Antonio Trande <sagitterATfedoraproject.org> - 4.16-0.16.20150817git3bc4e9
- Rebuild with -pie on Fedora >22

* Sat Sep 19 2015 Antonio Trande <sagitterATfedoraproject.org> - 4.16-0.15.20150817git3bc4e9
- Fixed COPASI-gui icon

* Fri Sep 18 2015 Antonio Trande <sagitterATfedoraproject.org> - 4.16-0.14.20150817git3bc4e9
- Rebuild for libsedml update

* Tue Aug 25 2015 Antonio Trande <sagitterATfedoraproject.org> - 4.16-0.13.20150817git3bc4e9
- Removed obsolete license file

* Thu Aug 20 2015 Antonio Trande <sagitterATfedoraproject.org> - 4.16-0.12.20150817git3bc4e9
- Bump to commit #3bc4e9
- Disabled debug package
- Version tag changed to 4.16 (now it's built a pre-release)
- CXX examples built

* Mon Jul 27 2015 Antonio Trande <sagitterATfedoraproject.org> - 4.16.101-11.20150725git435d61
- Bump to commit #435d61
- Disabled debug package

* Tue Jul 21 2015 Antonio Trande <sagitterATfedoraproject.org> - 4.16.101-10.20150707git192df4
- Patched CCopasiMethod.cpp (debuginfo issue caused by //)
- Enabled debug package

* Fri Jul 17 2015 Antonio Trande <sagitterATfedoraproject.org> - 4.16.101-9.20150707git192df4
- Fixed License
- Fixed executable permissions

* Mon Jul 13 2015 Antonio Trande <sagitterATfedoraproject.org> - 4.16.101-8.20150707git192df4
- Enabled COPASI-sharp build
- Disabled debug packages

* Sat Jul 11 2015 Antonio Trande <sagitterATfedoraproject.org> - 4.16.101-7.20150707git192df4
- Disabled COPASI-sharp build

* Thu Jul 09 2015 Antonio Trande <sagitterATfedoraproject.org> - 4.16.101-6.20150707git192df4
- QWT5/6 lib paths set separately

* Wed Jul 08 2015 Antonio Trande <sagitterATfedoraproject.org> - 4.16.101-5.20150707git192df4
- Removed unused Qt macros

* Tue Jul 07 2015 Antonio Trande <sagitterATfedoraproject.org> - 4.16.101-4.20150707git192df4
- Update to post-release #192df4
- With QWT6
- Octave binding disabled

* Tue Jun 30 2015 Antonio Trande <sagitterATfedoraproject.org> - 4.16.101-3.20150626git678de9
- Update to post-release #678de9 (ARM fixing)
- Without QWT6
- Packaged an appdata file for COPASI-gui

* Wed Jun 17 2015 Antonio Trande <sagitterATfedoraproject.org> - 4.16.101-2.20150617git865113
- Update to post-release #865113
- Built with clang on F23 64bit

* Wed Jun 10 2015 Antonio Trande <sagitterATfedoraproject.org> - 4.16.101-1
- Update to the release 4.16.101

* Mon Feb 02 2015 Antonio Trande <sagitterATfedoraproject.org> - 4.14.90-6.20150126git4848fe
- Defined F2C_INTEGER/F2C_LOGICAL variables based on arch

* Mon Jan 26 2015 Antonio Trande <sagitterATfedoraproject.org> - 4.14.90-5.20150126git4848fe
- New commit (4848fe)
- Defined new F2C_INTEGER/F2C_LOGICAL variables (fix bug(copasi)#2119)

* Mon Jan 12 2015 Antonio Trande <sagitterATfedoraproject.org> - 4.14.90-4.20150109git8f2d99
- New commit (8f2d99)

* Wed Jan 07 2015 Antonio Trande <sagitterATfedoraproject.org> - 4.14.90-3.20150109gite316ac
- New commit (fix bug(copasi)#2121#2123)

* Mon Jan 05 2015 Antonio Trande <sagitterATfedoraproject.org> - 4.14.90-2.20150105git9b6683
- New commit (fix bug(copasi)#2119)

* Tue Dec 30 2014 Antonio Trande <sagitterATfedoraproject.org> - 4.14.90-1.20141208git3431bd
- First package
